<section class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1>All Notification</h1>
      </div>
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a style="color: dodgerblue">Notification</a></li>
          <li class="breadcrumb-item active">All Notification</li>
        </ol>
      </div>
    </div>
  </div><!-- /.container-fluid -->
</section>

<section class="content">

  <div class="container-fluid">

    <!-- Timelime example  -->
    <div class="row">
      <div class="col-md-12">
<!--      pagination -->
        <div class="d-flex flex-row-reverse bd-highlight mb-2">
          <div class="p-2 bd-highlight">
            <select (change)="onTableSizeChange($event)" class="custom-select">
              <option *ngFor="let size of tableSizes" [ngValue]="size">
                {{ size }}
              </option>
            </select>
          </div>
        </div>


        <button type="button" *ngIf="notifications.length<0" class="btn btn-warning col-md-12 swalDefaultSuccess">
          No notifications found
        </button>



        <!-- The time line -->
        <div class="timeline" *ngFor="let m of notifications| paginate : {
                itemsPerPage: tableSize,
                currentPage: page,
                totalItems: count
              };
        let i = index" [class.active]="i == currentIndex">
          <!-- timeline time label -->
          <!--          <div class="time-label">-->
          <!--            <span class="bg-red">10 Feb. 2014</span>-->
          <!--          </div>-->
          <!--          &lt;!&ndash; /.timeline-label &ndash;&gt;-->
          <!--          &lt;!&ndash; timeline item &ndash;&gt;-->
          <!--          <div>-->
          <!--            <i class="fas fa-envelope bg-blue"></i>-->
          <!--            <div class="timeline-item">-->
          <!--              <span class="time"><i class="fas fa-clock"></i> 12:05</span>-->
          <!--              <h3 class="timeline-header"><a href="#">Support Team</a> sent you an email</h3>-->

          <!--              <div class="timeline-body">-->
          <!--                Etsy doostang zoodles disqus groupon greplin oooj voxy zoodles,-->
          <!--                weebly ning heekya handango imeem plugg dopplr jibjab, movity-->
          <!--                jajah plickers sifteo edmodo ifttt zimbra. Babblely odeo kaboodle-->
          <!--                quora plaxo ideeli hulu weebly balihoo...-->
          <!--              </div>-->
          <!--              <div class="timeline-footer">-->
          <!--                <a class="btn btn-primary btn-sm">Read more</a>-->
          <!--                <a class="btn btn-danger btn-sm">Delete</a>-->
          <!--              </div>-->
          <!--            </div>-->
          <!--          </div>-->
          <!-- END timeline item -->
          <!-- timeline item -->
          <div *ngIf="notifications.length>0">
            <i class="fas fa-user bg-green"></i>
            <div class="timeline-item">
              <span class="time"><i class="fas fa-clock"></i> {{m.sentAt|date:'\'MMM d, y, h:mm a'}}</span>
              <h3 class="timeline-header no-border"><a >{{m.senderUsername}}</a> {{m.type}}</h3>
            </div>
          </div>












          <div>
<!--            <i class="fas fa-clock bg-gray"></i>-->
          </div>
        </div>
      </div>

      <!-- /.col -->
    </div>
    <div class="d-flex justify-content-center">
      <pagination-controls
        responsive="true"
        previousLabel="Prev"
        nextLabel="Next"
        (pageChange)="onTableDataChange($event)">
      </pagination-controls>
    </div>

  </div>
  <!-- /.timeline -->

</section>
